Sync sqlite3 3.6.21-2 (main) from Debian testing (main)

Bug #500699 reported by Scott Kitterman on 2009-12-27
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
sqlite3 (Ubuntu)
Wishlist
Unassigned
Nominated for Lucid by Toni Spets

Bug Description

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 affects ubuntu/sqlite3
 status confirmed
 importance wishlist
 subscribe ubuntu-archive
 done

Please sync sqlite3 3.6.21-2 (main) from Debian testing (main)

Explanation of the Ubuntu delta and why it can be dropped:
Ubuntu changes are either incorporated in Debian or Debian solved the
problem another way.

Changelog entries since current lucid version 3.6.16-1ubuntu1:

sqlite3 (3.6.21-2) unstable; urgency=medium

  * Run autoreconf to prevent FTBFS with new libtool (closes: #560660).

 -- Laszlo Boszormenyi (GCS) <email address hidden> Fri, 11 Dec 2009 14:34:09 +0000

sqlite3 (3.6.21-1) unstable; urgency=medium

  * New upstream release, SQLITE_SECURE_DELETE compile-time option fixed to
    make sure that content is deleted even when the truncate optimization
    applies (closes: #555955).
  * Add 11-manpage-refers-to-sqlite3-doc.patch patch to fix manpage to refer
    to sqlite3-doc (closes: #560132).

 -- Laszlo Boszormenyi (GCS) <email address hidden> Wed, 09 Dec 2009 14:55:17 +0000

sqlite3 (3.6.20-1) unstable; urgency=low

  * New upstream release (may fix #546599).

 -- Laszlo Boszormenyi (GCS) <email address hidden> Tue, 10 Nov 2009 22:48:13 +0000

sqlite3 (3.6.19-3) unstable; urgency=low

  * Build conflict with tcl8.4{,-dev}, SQLite3 picks up the wrong version
    despite of specifying tcl8.5 to use (closes: #552304).

 -- Laszlo Boszormenyi (GCS) <email address hidden> Mon, 26 Oct 2009 05:58:04 +0000

sqlite3 (3.6.19-2) unstable; urgency=low

  * Compile with secure deletion option enabled (closes: #551968).
  * Make libsqlite3-tcl build with tcl8.5 (closes: #547445).

 -- Laszlo Boszormenyi (GCS) <email address hidden> Fri, 23 Oct 2009 07:45:19 +0000

sqlite3 (3.6.19-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <email address hidden> Sun, 18 Oct 2009 07:11:18 +0000

sqlite3 (3.6.18-1) unstable; urgency=low

  * New upstream release.
  * Change readline build dependency to plain libreadline-dev (version 6 ATM)
    and standards-version to 3.8.3 .

 -- Laszlo Boszormenyi (GCS) <email address hidden> Sun, 13 Sep 2009 14:47:20 +0000

sqlite3 (3.6.17-2) unstable; urgency=low

  * Reintroduce libtool and auto{conf,make} updates of CDBS
    (closes: #541684, #541731), patches modify configure.ac and Makefile.in .
  * Update patches to match this upstream release.

 -- Laszlo Boszormenyi (GCS) <email address hidden> Sun, 16 Aug 2009 15:55:30 +0000

sqlite3 (3.6.17-1) unstable; urgency=low

  * New upstream release.
  * Don't ask CDBS to run libtool, autoconf nor automake (closes: #541413), no
    need to build-depend on these tools anymore.

 -- Laszlo Boszormenyi (GCS) <email address hidden> Sat, 15 Aug 2009 04:23:42 +0000

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.12 (GNU/Linux)

iEYEARECAAYFAks2/UUACgkQHajaM93NaGqNmQCeOsgCWK8qXGKeKHIdyTEii8//
d9YAn17WpXxN2R6b40VwlHZJU8PHU3hi
=5Q0k
-----END PGP SIGNATURE-----

James Westby (james-w) wrote :

[Updating] sqlite3 (3.6.16-1ubuntu1 [Ubuntu] < 3.6.21-2 [Debian])
 * Trying to add sqlite3...
  - <sqlite3_3.6.21-2.diff.gz: downloading from http://ftp.debian.org/debian/>
  - <sqlite3_3.6.21.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
  - <sqlite3_3.6.21-2.dsc: downloading from http://ftp.debian.org/debian/>
I: sqlite3 [main] -> lemon_3.6.16-1ubuntu1 [universe].
I: sqlite3 [main] -> sqlite3_3.6.16-1ubuntu1 [main].
I: sqlite3 [main] -> sqlite3-doc_3.6.16-1ubuntu1 [main].
I: sqlite3 [main] -> libsqlite3-0-dbg_3.6.16-1ubuntu1 [main].
I: sqlite3 [main] -> libsqlite3-0_3.6.16-1ubuntu1 [main].
I: sqlite3 [main] -> libsqlite3-dev_3.6.16-1ubuntu1 [main].
I: sqlite3 [main] -> libsqlite3-tcl_3.6.16-1ubuntu1 [universe].

Changed in sqlite3 (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers